Date: Tue, 23 Dec 1997 13:19:45 +0100
From: Hartmut Koptein <koptein@et-inf.fho-emden.de>
To: linux-m68k@lists.linux-m68k.org
Subject: L68K: menuconfig ...
Sender: owner-linux-m68k@phil.uni-sb.de

Hello,

there was just a patch on the kernel mailinglist for menuconfig. Due to
the error with framebuffer menu and notdef VME it's the right thing:

diff -u -r -N linux-2.1.75/scripts/Menuconfig linux/scripts/Menuconfig
--- linux-2.1.75/scripts/Menuconfig     Sun Dec 21 19:41:30 1997
+++ linux/scripts/Menuconfig    Tue Dec 23 00:13:33 1997
@@ -24,10 +24,15 @@
 # 070497 Bernhard Kaindl (bkaindl@netway.at) - get default values for
 # new bool, tristate and dep_tristate parameters from the defconfig file.
 # new configuration parameters are marked with '(NEW)' as in make config.
+#
 # 180697 Bernhard Kaindl (bkaindl@netway.at) - added the needed support
 # for string options. They are handled like the int and hex options.
+#
 # 081297 Pavel Machek (pavel@atrey.karlin.mff.cuni.cz) - better error
 # handling
+#
+# 221297 Michael Chastain (mec@shout.net) - make define_bool actually
+# define its arguments so that later tests on them work right.
 #----------------------------------------------------------------------------


@@ -96,10 +101,10 @@
 }

 #
-# Don't need this yet, but we don't want to puke either.
+# Define a boolean to a specific value.
 #
 function define_bool () {
-       :
+       eval $1=$2
 }

 #


For some problems you must only wait some time ... :-)
Bye,

    Hartmut

-- 
 Hartmut Koptein                                       EMail:
 Friedrich-van-Senden-Str. 7                           koptein@et-inf.fho-emden.de
 26603 Aurich   
 Tel.: +49-4941-10390                                  koptein@debian.org
